List integration catalog - SuperAI Flows
List integration catalog
cURL
curl --request GET \
--url https://flows.super.ai/api/integrations/catalog \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/integrations/catalog"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/integrations/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/integrations/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/integrations/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://flows.super.ai/api/integrations/catalog")
.header("X-API-Key", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/integrations/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Example Response
[
{
"credential_types": [],
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"credential_providers": [
{
"credential_schema": {},
"is_oauth": true,
"name": "<string>"
}
],
"display_name": "<string>",
"is_plugin": false
}
]
Authorizations
X-API-Keystring
header
required
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Authorizationstring
header
required
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Response
200application/json
Integration catalog retrieved successfully
Response Items
categoryenum<string>
required
Integration category
credential_typesenum<string>[]
required
Available options:
api_keyoauth2user_passwordkey_fileclient_credentialssharepoint_receivegoogle_drive_receive
descriptionstring
required
idstring<uuid>
required
namestring
required
providerenum<string>
required
Available options:
microsoftsftpaws_sesgooglepostgresqlinternal_postgresqlfile_storagesharepoint_client_secret
credential_providersCredentialProvider · object[] | null
display_namestring | null
is_pluginboolean
default:false